### Method

# Gimp Image set_color_profile

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_set_color_profile (
      GimpImage* image,
      GimpColorProfile* profile
    )

#### Description [src]

This procedure sets the image’s color profile.

If `NULL` is passed as `profile`, then the built-in profile for `image`‘s color model is set.

Available since: 2.10

#### Parameters

`profile`

  Type: `GimpColorProfile`

  A `GimpColorProfile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` on success.